Public API: resolve coordinates to a place name (metered)
POST
/v1/locations/geo-coding
const url = 'https://api.tareky.com/v1/locations/geo-coding';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"lng":1,"lat":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tareky.com/v1/locations/geo-coding \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "lng": 1, "lat": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”x-access-key-id
string
Legacy key id (until its sunset)
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
lng
required
number
lat
required
number
Examplegenerated
{ "lng": 1, "lat": 1}Responses
Section titled “Responses”Media typeapplication/json
object
location
required
string
address
required
string
parts
required
object
street
required
string | null
city
required
string | null
district
required
string | null
subDistrict
required
string | null
poi
required
string | null
nearestPoi
required
object
id
required
string
name
required
string | null
lng
required
number
lat
required
number
distanceMeters
required
number
plusCode
required
string
Examplegenerated
{ "location": "example", "address": "example", "parts": { "street": "example", "city": "example", "district": "example", "subDistrict": "example", "poi": "example" }, "nearestPoi": { "id": "example", "name": "example", "lng": 1, "lat": 1, "distanceMeters": 1 }, "plusCode": "example"}Rate limit or monthly quota exceeded; see Retry-After
Media typeapplication/json
object
error
required
object
code
required
Stable machine-readable code, e.g. quota_exceeded, no_route
string
message
required
string
status
required
integer
details
For invalid_request: the validation issues
docsUrl
required
string
requestId
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "status": 1, "details": "example", "docsUrl": "example" }, "requestId": "example"}default
Section titled “default”Any other error, in the /v1 error envelope
Media typeapplication/json
object
error
required
object
code
required
Stable machine-readable code, e.g. quota_exceeded, no_route
string
message
required
string
status
required
integer
details
For invalid_request: the validation issues
docsUrl
required
string
requestId
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "status": 1, "details": "example", "docsUrl": "example" }, "requestId": "example"}